# Scan and maintain projects using the CLI

This group of pages provides detailed "how-to" information for the Snyk CLI. The navigation is alphabetical by keyword. The same list of pages follows in the categories Scanning projects, Monitoring projects, and Maintaining projects.

## Scanning projects

* [The **.snyk** file](../../manage-issues/policies/the-.snyk-file.md)
* [A **.snyk** policy file in a different directory from the manifest file](a-.snyk-policy-file-in-a-different-directory-from-the-manifest-file.md)
* [Failing **builds** in Snyk CLI](failing-of-builds-in-snyk-cli.md)
* [**Ignore** vulnerabilties using Snyk CLI](ignore-vulnerabilities-using-the-snyk-cli.md)
* [**Invalid string length** error when scanning projects](invalid-string-length-error-when-scanning-projects.md)
* [Scan all unmanaged **JAR files**](../test-for-vulnerabilities/scan-all-unmanaged-jar-files.md)
* [How to select the **organization** to use in the CLI](how-to-select-the-organization-to-use-in-the-cli.md)
* [**Setup.py file** failing to scan or finding zero dependencies](setup.py-file-failing-to-scan-or-finding-zero-dependencies.md)
* [**Severity thresholds** for CLI tests](set-severity-thresholds-for-cli-tests.md)
* [**Test public npm packages** before use](test-public-npm-packages-before-use.md)
* [**Test public repositories** before use](test-public-repositories-before-use.md)
* [CLI **test results**](view-cli-test-results.md)
* [Differences in **vulnerability counts** across environments](../../scan-applications/snyk-open-source/manage-vulnerabilities/differences-in-open-source-vulnerability-counts-across-environments.md)

## Monitoring projects

* [**Monitor** your projects at regular intervals](monitor-your-projects-at-regular-intervals.md)
* [Group **projects** for monitoring](group-projects-by-branch-or-version-for-monitoring.md)

## Maintaining projects

* [Automatic **fixing** with Snyk Fix](automatic-remediation-with-snyk-fix.md)
* [**Log4shell** command use](how-to-use-the-log4shell-command.md)
* [@**snyk/protect** package](snyk-protect-package.md)
* [Fix **vulnerabilities** using the Snyk CLI](fix-vulnerabilities-using-the-snyk-cli.md)
